Search Unity

  1. Megacity Metro Demo now available. Download now.
    Dismiss Notice

Question What does this error mean?

Discussion in 'Graphics for ECS' started by Bagazi, Sep 2, 2023.

  1. Bagazi

    Bagazi

    Joined:
    Apr 18, 2018
    Posts:
    611
    Shader error in 'SyntyStudios/EnvTriplanar': The DOTS_INSTANCING_ON keyword requires shader model 4.5 or greater ("#pragma target 4.5" or greater). Make sure to use target 4.5 or greater in all SubShaders or variants that use DOTS_INSTANCING_ON, and to NOT use DOTS_INSTANCING_ON in any SubShaders that must use a lower target version. at /WorkSpace/Projs/GameP/GameP-UnityProj/Library/PackageCache/com.unity.render-pipelines.core@14.0.8/ShaderLibrary/UnityInstancing.hlsl(64)
     
  2. DreamingImLatios

    DreamingImLatios

    Joined:
    Jun 3, 2017
    Posts:
    4,252
    It means that the custom shader in that asset is not compatible with Entities Graphics.
     
  3. Bagazi

    Bagazi

    Joined:
    Apr 18, 2018
    Posts:
    611
    How to modify a shader to be compatible with DOTS (Data-Oriented Technology Stack), and are there any key principles to follow?